PETSc version 3.15.5
Fix/Edit manual page

# MatCoarsenGetType

Gets the Coarsen method type and name (as a string) from the coarsen context.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenGetType(MatCoarsen coarsen,MatCoarsenType *type)

Not collective

### Input Parameter

| coarsen | - the coarsen context

### Output Parameter

| type | - coarsener type

Not Collective

### See Also

MatCoarsenCreate(), MatCoarsenType, MatCoarsenSetType()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages